Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IVideoStabilizationMetadata Class Reference

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IVideoStabilizationMetadata:

List of all members.

## Public Member Functions

virtual VideoStabilizationMode | getVideoStabilizationMode () const =0
| Returns the video stabilization mode used for the capture.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IVideoStabilizationMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

- Exposed by CaptureMetadata objects.

Definition at line 402 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IVideoStabilizationMetadata::~IVideoStabilizationMetadata | ( |  | ) |

inlineprotected

Definition at line 413 of file CaptureMetadata.h.

## Member Function Documentation

virtual VideoStabilizationMode Argus::IVideoStabilizationMetadata::getVideoStabilizationMode | ( |  | ) | const

pure virtual

Returns the video stabilization mode used for the capture.

static const InterfaceID& Argus::IVideoStabilizationMetadata::id | ( |  | ) |

inlinestatic

Definition at line 405 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h